package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.MemberStoreBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装会员分析-会员报表(按会员)Vo对象
 * @author wuxy
 */
@Data
public class MemberStoreReportVO {

//    @ApiModelProperty("会员id")
//    private Integer memberId;

    @ApiModelProperty("会员名称")
    private String memberName;

    @ApiModelProperty("下单数")
    private Integer orderSubmitNum;

    @ApiModelProperty("下单金额")
    private BigDecimal orderSubmitAmount;

    @ApiModelProperty("支付订单数")
    private Integer orderPayNum;

    @ApiModelProperty("支付金额")
    private BigDecimal orderPayAmount;

    @ApiModelProperty("退单数")
    private Integer returnNum;

    @ApiModelProperty("退款金额")
    private BigDecimal returnAmount;

    public MemberStoreReportVO(MemberStoreBase memberStoreBase) {
//        this.memberId = memberStoreBase.getMemberId();
        this.memberName = memberStoreBase.getMemberName();
        this.orderSubmitNum = memberStoreBase.getOrderSubmitNum();
        this.orderSubmitAmount = memberStoreBase.getOrderSubmitAmount();
        this.orderPayNum = memberStoreBase.getOrderPayNum();
        this.orderPayAmount = memberStoreBase.getOrderPayAmount();
        this.returnNum = memberStoreBase.getReturnNum();
        this.returnAmount = memberStoreBase.getReturnAmount();
    }
}
